classification
Title: Tweak wording for importlib.util.LazyLoader in regards to Loader.create_module()
Type: Stage: needs patch
Components: Documentation Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: 23014 Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon
Priority: normal Keywords: easy

Created on 2014-12-08 16:09 by brett.cannon, last changed 2015-01-16 13:42 by brett.cannon. This issue is now closed.

Messages (3)
msg232312 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-12-08 16:09
The docs for importlib.util.LazyLoader emphatically say that a "loader cannot define importlib.abc.Loader.create_module()" if it is to be subclassed. What in fact should say is that the subclass' create_module() will not be called; whether it is defined or not is of no consequence.
msg232564 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-12-12 17:28
Fix is part of issue #23014, so if that goes in then this will be fixed as a side-effect.
msg234128 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-01-16 13:42
Change went in through making create_module() required.
History
Date User Action Args
2015-01-16 13:42:27brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg234128
2014-12-12 17:28:00brett.cannonsetmessages: + msg232564
2014-12-12 17:27:18brett.cannonsetdependencies: + Don't have importlib.abc.Loader.create_module() be optional
2014-12-08 16:09:14brett.cannoncreate